Skip to main content
PUT
/
preview
/
marketing-solutions
/
ads
/
{ad-id}
/
audience-segment
/preview/marketing-solutions/ads/{ad-id}/audience-segment
curl --request PUT \
  --url https://api.criteo.com/preview/marketing-solutions/ads/{ad-id}/audience-segment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "type": "<string>"
  }
}
'
{
  "data": {
    "attributes": {
      "adId": "<string>",
      "audienceSegmentId": "<string>"
    },
    "type": "<string>"
  },
  "errors": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ],
  "warnings": [
    {
      "code": "<string>",
      "detail": "<string>",
      "instance": "<string>",
      "source": {},
      "stackTrace": "<string>",
      "title": "<string>",
      "traceId": "<string>",
      "traceIdentifier": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

ad-id
string<int32>
required

The ad identifier.

Body

application/json

The audience segment link information.

A top-level object that encapsulates a Criteo API request for a single value object.

data
object

A value resource exposed by the API.

Response

201 - application/json

The link between the Ad and the Audience Segment is returned.

A top-level object that encapsulates a Criteo API response for a single value.

data
object

A top-level object that encapsulates a Criteo API response for a single value.

errors
object[] | null
read-only
warnings
object[] | null
read-only